Bug 454201

Summary: qemu -M isapc does not show the virtual machine
Product: [Fedora] Fedora Reporter: Luis <lftabera>
Component: qemuAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: clalance, hdegoede, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:14:09 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Luis 2008-07-06 10:55:11 EDT
Description of problem:

qemu states that the supported machines are pc and isapc. Howerver, with the
option -M isapc, the guess machine is not visualized (I do not know if it is
booting or not). It appears a window with the qemu monitor on the first virtual
console crt-alt-1

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. boot any old image or a new created one with the option -M isapc
Actual results:

It appear the qemu mooniot without chance to change to the guess OS

Expected results:

The guess OS being booted
Comment 1 Luis 2008-11-25 17:46:39 EST
The same problem happens with the version in fedora 10.

Here it is even worse, because you cannot install the package of fc8 without tricks or recompilling due to the new libraries gnutls.
Comment 2 Fedora Admin XMLRPC Client 2009-05-07 08:12:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2009-05-07 12:38:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Chris Lalancette 2009-10-29 06:28:38 EDT
This is quite an old bug report, so sorry about that.  The problem is that I don't quite understand what the problem is.  What are you doing, and what are you expecting to happen?  For instance, I was able to do:

# dd if=/dev/zero of=/tmp/foo bs=1M count=2000
# qemu -M isapc -hda /tmp/foo -cdrom /path/to/RHL-7.0.iso

(this was on Fedora 11, with qemu 0.10.6-7).

And successfully install RHL 7.0.  What is the exact command you are using, and what do you expect to happen?

Chris Lalancette
Comment 5 Luis 2009-11-08 19:11:34 EST
At that point you are really booting from the cd, so I would expect to work. Can you boot the created virtual machine with the -M isapc option?

Anyway, I do not use Fedora anymore and I migrated my virtual machines, so I cannot test this problem to see if it still happens.
Comment 6 Bug Zapper 2009-11-18 05:14:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-12-18 01:14:09 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.